import { Link } from "@onegeo/gatsby-theme-onegeo"
import React from "react"
import Image, {Iimage} from "./Image"

interface Ilogo extends Iimage {
    to?: string
    src?: string
    title?: string
    image?:any,
    className?:string
}

const Logo = (props: Ilogo) => {
    const { to, title, image, className  } = props

    return (
        <>
            <div
                className={`flex justify-center flex-col items-center ${className}`}
            >
                <Link to={to} className="">
                    <Image image = {image} className=""/>
                </Link>
                {
                    title && 
                    <div className="text-xs mt-2">{title}</div>
                }
            </div>
        </>
    )
}

export default Logo
